<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Foundation\Bus\DispatchesJobs;

use App\Jobs\CatalogVerify as Job;

class CatalogVerify extends Command
{
	/**
	 * The name and signature of the console command.
	 *
	 * @var string
	 */
	protected $signature = 'catalog:verify'.
	' {type : Photo | Video }';

	/**
	 * The console command description.
	 *
	 * @var string
	 */
	protected $description = 'Verify media on disk and in the DB';

	/**
	 * Create a new command instance.
	 *
	 * @return void
	 */
	public function __construct()
	{
		parent::__construct();
	}

	/**
	 * Execute the console command.
	 *
	 * @return mixed
	 */
	public function handle()
	{
		if ($this->argument('type')) {
			Job::dispatch($this->argument('type'))->onQueue('scan');

		} else {
		}
	}
}